Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.afp.extensions
Class AFPPageSetup

    java.lang.Object
      org.apache.fop.render.afp.extensions.AFPExtensionAttachment
          org.apache.fop.render.afp.extensions.AFPPageSetup

All Implemented Interfaces:
  ExtensionAttachment, java.io.Serializable, org.apache.xmlgraphics.util.XMLizable

public class AFPPageSetup
extends AFPExtensionAttachment

This is the pass-through value object for the AFP extension.

See Also:
  Serialized Form

Field Summary
`protected static java.lang.String` | `ATT_VALUE` value attribute
`protected java.lang.String` | `content` the extension content
`protected java.lang.String` | `value` the extension value attribute

Fields inherited from class org.apache.fop.render.afp.extensions.AFPExtensionAttachment
`ATT_NAME, CATEGORY, elementName, name`

Constructor Summary
`AFPPageSetup(java.lang.String elementName)` Default constructor.

Method Summary
`java.lang.String` | `getContent()` Returns the content of the extension.
`java.lang.String` | `getValue()` Returns the value of the extension.
`void` | `setContent(java.lang.String content)` Sets the data
`void` | `setValue(java.lang.String source)` Sets the value
`void` | `toSAX(org.xml.sax.ContentHandler handler)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.fop.render.afp.extensions.AFPExtensionAttachment
`getCategory, getElementName, getName, hasName, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATT_VALUE

    protected static final java.lang.String ATT_VALUE

  value attribute

  See Also:
    Constant Field Values

### content

    protected java.lang.String content

  the extension content

### value

    protected java.lang.String value

  the extension value attribute

Constructor Detail

### AFPPageSetup

    public AFPPageSetup(java.lang.String elementName)

  Default constructor.

Parameters:
  `elementName` - the name of the setup code object, may be null

Method Detail

### getValue

    public java.lang.String getValue()

  Returns the value of the extension.

  Returns:
    the value

### setValue

    public void setValue(java.lang.String source)

  Sets the value

  Parameters:
    `source` - The value name to set.

### getContent

    public java.lang.String getContent()

  Returns the content of the extension.

  Returns:
    the data

### setContent

    public void setContent(java.lang.String content)

  Sets the data

  Parameters:
    `content` - The byte data to set.

### toSAX

    public void toSAX(org.xml.sax.ContentHandler handler)
               throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.